%define upstream_name    Net-Libdnet
%define upstream_version 0.95

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to libdnet
License:    BSD
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Net-Libdnet-0.95-fix-header.patch
BuildRequires:  libdnet-devel
BuildRequires:  perl(Class::Gomor::Array)
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
perl-Net-Libdnet provides perl bindings to the dnet library

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%serverbuild
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$CFLAGS" LIBS="-L%{_libdir} -ldnet" INC="-I%{_includedir}"
%make LD_RUN_PATH=""

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net
%{_mandir}/man?/*


%changelog
* Sun May 15 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.950.0-1mdv2011.0
+ Revision: 674919
- new version

* Wed Feb 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.940.0-1
+ Revision: 635205
- update to new version 0.94

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 404095
- rebuild using %%perl_convert_version

* Sun May 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.92-1mdv2010.0
+ Revision: 376727
- update to new version 0.92

* Tue Dec 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.91-1mdv2009.1
+ Revision: 312183
- update to new version 0.91

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.90-1mdv2009.1
+ Revision: 309340
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-6mdv2009.0
+ Revision: 258054
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-5mdv2009.0
+ Revision: 246154
- rebuild

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 0.01-3mdv2008.1
+ Revision: 157264
- rebuild with fixed %%serverbuild macro

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.01-2mdv2008.1
+ Revision: 152220
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.0
+ Revision: 53925
- Import perl-Net-Libdnet



* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.0
- initial Mandriva package
